<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="css/stylemin.css">
  <link rel="stylesheet" href="css/color.css">
  <title> Pizza 365 v0.5</title>
</head>

<body onload="onPageLoading()">
  <!-- Menu -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12">
        <nav class="navbar fixed-top navbar-expand-lg navbar-light bg-light">
          <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
            aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav nav-fill w-100">
              <li class="nav-item active">
                <a class="nav-link" href="#">HOME</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#combo">SIZE COMBOS</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#type">PIZZA TYPES</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#contact">FORM CONTACT</a>
              </li>
            </ul>
          </div>
        </nav>
      </div>
    </div>
  </div>

  <!-- Content -->
  <div class="container" style="padding: 70px 0px 50px 0px; font-size: 10px ">
    <div class="row">
      <div class="col-sm-12">
        <div class="row">
          <!-- Title row home -->
          <div class="col-sm-12">
            <h1><b class="text-main">Pizza 365</b></h1>
            <p style="font-style: italic" class="text-second">Truly italian!</p>
          </div>

          <!-- Slide row home -->
          <div class="col-sm-12">
            <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
              <ol class="carousel-indicators">
                <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="3"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="4"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="5"></li>
                <li data-target="#carouselExampleIndicators" data-slide-to="6"></li>
              </ol>
              <div class="carousel-inner">
                <div class="carousel-item active">
                  <img class="d-block w-100" src="images/anh_mon_1.jpg" alt="First slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_2.jpg" alt="Second slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_3.jpg" alt="Third slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_4.jpg" alt="Fourth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_5.jpg" alt="Fifth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_6.jpg" alt="Sixth slide" />
                </div>
                <div class="carousel-item">
                  <img class="d-block w-100" src="images/anh_mon_7.jpg" alt="Senveth slide" />
                </div>
              </div>
              <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
              </a>
              <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
              </a>
            </div>
          </div>

          <!-- Title ưu điểm của Quán -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Tại sao lại Pizza 365</b></h2>
          </div>

          <!-- Content ưu điểm của Quán -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-3 p-3 bg-brand-01 text-white border">
                <h3 class="p-2">Không ngừng cải tiến</h3>
                <p class="p-2">Cải tiến sản phẩm, chất lượng và trải nghiệm khách hàng luôn là yếu tố tiên quyết trong
                  chiến lược kinh doanh của chúng tôi nhằm thúc đẩy tăng trưởng và trở thành thương hiệu pizza hàng đầu.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-02 text-white border">
                <h3 class="p-2">Trải nghiệm dễ dàng</h3>
                <p class="p-2">Chúng tôi đơn giản hướng đến việc trở thành thương hiệu của mọi nhà, mọi lúc, mọi nơi.
                </p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-03 text-white border">
                <h3 class="p-2">Hướng đến sự vượt trội</h3>
                <p class="p-2">"Vượt trội" không chỉ là một khái niệm lớn. Thay vào đó, giá trị này là cốt lõi trong mỗi
                  con người của chúng tôi, trong mỗi công việc mà họ làm.</p>
              </div>
              <div class="col-sm-3 p-3 bg-brand-04 text-white border">
                <h3 class="p-2">Thể hiện đam mê</h3>
                <p class="p-2">Chúng tôi sẵn lòng hỗ trợ vô điều kiện và linh động điều chỉnh tùy theo thử thách để tìm
                  ra giải pháp.</p>
              </div>
            </div>
          </div>
        </div>

        <div id="combo" class="row">
          <!-- Title Size Combos -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-1 border-bottom">Menu combo Pizza 365</b></h2>
            <p><span class="p-2">Hãy chọn combo phù hợp với bạn</span></p>
          </div>
          <!-- Content các Size Combos -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>S ( Small size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 20 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>2</b></li>
                      <li class="list-group-item">Salad <b>200 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>2</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>150,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button onclick="onBtnSmallSizeClick()" class="btn-green" id="btn-size-small" data-is-selected="N">
                      Chọn
                    </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>M (Medium size)</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 25 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>4</b></li>
                      <li class="list-group-item">Salad <b> 300 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>3</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>200,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button onclick="onBtnMediumSizeClick()" class="btn-green" id="btn-size-medium"
                      data-is-selected="N"> Chọn </button>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card">
                  <div class="card-header bg-main-brand text-white text-center">
                    <h3>L ( Large size )</h3>
                  </div>
                  <div class="card-body text-center">
                    <ul class="list-group list-group-flush">
                      <li class="list-group-item">
                        Đường kính <b> 30 cm</b>
                      </li>
                      <li class="list-group-item">Sườn nướng <b>8</b></li>
                      <li class="list-group-item">Salad <b> 500 gr</b></li>
                      <li class="list-group-item">Nước ngọt <b>4</b></li>
                      <li class="list-group-item">
                        <h1>VND <b>250,000</b></h1>
                      </li>
                    </ul>
                  </div>
                  <div class="card-footer text-center">
                    <button onclick="onBtnLargeSizeClick()" class="btn-green" id="btn-size-large" data-is-selected="N">
                      Chọn </button>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div id="type" class="row">
          <!-- Title Pizza Type -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Chọn loại pizza</b></h2>
          </div>

          <!-- Content Pizza Type -->
          <div class="col-sm-12">
            <div class="row">
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hawai</h3>
                    <p>Món ăn thanh đạm</p>
                    <p>
                      Hãy thưởng thức món ăn với phong cách Alo Ha đến từ
                      Hawai.
                    </p>
                    <p>
                      <button onclick="onBtnHawaiPizzaClick()" class="btn-green" id="btn-type-hawai"
                        data-is-selected="N"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_hai_san.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Hải sản</h3>
                    <p>Món ăn đến từ biển</p>
                    <p>
                      Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?
                    </p>
                    <p>
                      <button onclick="onBtnHaiSanPizzaClick()" class="btn-green" id="btn-type-hai-san"
                        data-is-selected="N"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
              <div class="col-sm-4">
                <div class="card w-100" style="width: 18rem">
                  <img src="images/pizza_type_thit_nuong.jpg" class="card-img-top" />
                  <div class="card-body">
                    <h3>Pizza Bacon</h3>
                    <p>Món ăn đăc biệt</p>
                    <p>
                      Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.
                    </p>
                    <p>
                      <button onclick="onBtnBaconPizzaClick()" class="btn-green" id="btn-type-bacon"
                        data-is-selected="N"> Chọn </button>
                    </p>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">chọn Đồ Uống</b></h2>
            <select id="select-drink" class="form-control">
              <option value="NOT_SELECT_DRINK">Chọn đồ uống</option>
            </select>
          </div>
        </div>
        <div id="contact" class="row">
          <!-- Title Form Contact Us -->
          <div class="col-sm-12 text-center p-4 mt-4">
            <h2><b class="p-2 border-bottom">Thông tin đơn hàng</b></h2>
          </div>

          <!-- Content Form Contact Us -->
          <div class="col-sm-12 p-2 jumbotron">
            <div class="row">
              <div class="col-sm-12">
                <div class="form-group">
                  <label for="input-name">Họ và tên</label>
                  <input type="text" class="form-control" id="input-name" placeholder="Họ và tên" />
                </div>
                <div class="form-group">
                  <label for="email">Email</label>
                  <input type="text" class="form-control" id="input-email" placeholder="Email" />
                </div>
                <div class="form-group">
                  <label for="input-phone">Điện thoại</label>
                  <input type="text" class="form-control" id="input-phone" placeholder="Điện thoại" />
                </div>
                <div class="form-group">
                  <label for="input-address">Địa chỉ</label>
                  <input type="text" class="form-control" id="input-address" placeholder="Địa chỉ" />
                </div>
                <div class="form-group">
                  <label for="message">Lời nhắn</label>
                  <input type="text" class="form-control" id="input-message" placeholder="Lời nhắn" />
                </div>
                <div class="form-group">
                  <label for="voucher">Mã giảm giá</label>
                  <input type="text" class="form-control" id="input-voucherID" placeholder="Mã voucher..." />
                </div>
                <button onclick="onBtnKiemTraDonHangClick()" type="button" class="btn-green"> Kiểm tra đơn </button>

              </div>
            </div>
          </div>
          <!-- vùng hiển thị thông tin đơn hàng(order) -->
          <div id="div-container-order" class="container bg-info p-2 jumbotron" style="display: none">
            <div id="div-order-infor" class="text-white p-3">thông tin đơn hàng vào đây</div>
            <div class="p-2">
              <button onclick="onBtnGuiDonClick()" type="button" class="btn-yellow"> Gửi đơn </button>
            </div>
          </div>
          <div class="containe bg-warning jumbotron" id="div-SubmitOrder" style="display: none;">
            <h3 class="text-dark">Cảm ơn bạn đã đặt hàng tại Pizza 365. Mã đơn hàng của bạn là:</h3>
            <div class="form-group row">
              <label class="col-sm-2 col-form-label" style="font-size: 15px;">Mã đơn hàng:</label>
              <div class="col-sm-10">
                <input type="text" class="form-control" id="Ma-don-hang">
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- Footer -->
  <div class="container-fluid bg-light p-3">
    <div class="row text-center">
      <div class="col-sm-12">
        <h4 class="m-2">Footer</h4>
        <a href="#" class="btn bg-main-brand text-white m-3"><i class="fa fa-arrow-up mr-2"></i>To the top</a>
        <div class="m-2">
          <i class="fa fa-facebook-official text-main"></i>
          <i class="fa fa-instagram text-main"></i>
          <i class="fa fa-snapchat text-main"></i>
          <i class="fa fa-pinterest-p text-main "></i>
          <i class="fa fa-twitter text-main"></i>
          <i class="fa fa-linkedin text-main"></i>
        </div>
      </div>
    </div>
  </div>
</body>
<script>
  "use strict";
  /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
  // Mảng danh sách các mã giảm giá
  var gDiscountVouchers = [
    { voucherID: "10345", percentDiscount: 20 }, // mã giảm giá là 10345, phần trăm giảm giá 20%
    { voucherID: "11346", percentDiscount: 10 },
    { voucherID: "20445", percentDiscount: 5 },
    { voucherID: "21457", percentDiscount: 30 },
    { voucherID: "32154", percentDiscount: 20 },
    { voucherID: "30546", percentDiscount: 25 },
    { voucherID: "41351", percentDiscount: 15 },
    { voucherID: "53360", percentDiscount: 5 },
    { voucherID: "65343", percentDiscount: 30 },
    { voucherID: "78328", percentDiscount: 40 },
  ];
  // Biến hằng số
  const gSMALL_SIZE = "Size S";
  const gMEDIUM_SIZE = "Size M";
  const glARGE_sIZE = "Size L";

  const gHAWAI_PIZZA = "Pizza Hawai";
  const gHAISAN_PIZZA = "Pizza Hải Sản";
  const gBACON_PIZZA = "Pizza Bacon";

  const gREQUEST_STATUS_OK = 200; // GET & PUT success
  const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;
  const gREQUEST_CREATE_SUCCESS = 201;
  const vBASE_URL_VOUCHER = "http://203.171.20.210:8080/devcamp-pizza365/voucher_detail/";
  const vBASE_URL_DRINK = "http://203.171.20.210:8080/devcamp-pizza365/drinks";
  const vBASE_URL_ORDER = "http://203.171.20.210:8080/devcamp-pizza365/orders";

  /*** REGION 2 - Vùng gán / thực thi hàm xử lý sự kiện cho các elements */

  /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
  //Hàm Xử lý click nút con Size Pizza: S
  function onBtnSmallSizeClick() {
    doiMauNutBamChonCombo(gSMALL_SIZE)
  }
  //Hàm Xử lý click nút con Size Pizza: M
  function onBtnMediumSizeClick() {
    doiMauNutBamChonCombo(gMEDIUM_SIZE)
  }
  //Hàm Xử lý click nút con Size Pizza: L
  function onBtnLargeSizeClick() {
    doiMauNutBamChonCombo(glARGE_sIZE)
  }
  //hàm xử lý click nút chọn loại Pizza: Hawai
  function onBtnHawaiPizzaClick() {
    doiMauNutChonPizzaType(gHAWAI_PIZZA)
  }
  //hàm xử lý click nút chọn loại Pizza: Hải Sản
  function onBtnHaiSanPizzaClick() {
    doiMauNutChonPizzaType(gHAISAN_PIZZA)
  }
  //hàm xử lý click nút chọn loại Pizza: Bacon
  function onBtnBaconPizzaClick() {
    doiMauNutChonPizzaType(gBACON_PIZZA)
  }
  //hàm xử lý click nút Kiểm tra đơn hàng
  function onBtnKiemTraDonHangClick() {
    var thongTinDonHangObj = {
      menuDuocChon: null,
      loaiPizza: null,
      hoVaTen: "",
      email: "",
      dienThoai: "",
      diaChi: "",
      loiNhan: "",
      kichCo: "",
      duongKinh: 0,
      suonNuong: 0,
      salad: 0,
      nuocNgot: 0,
      loaiNuoUong: "",
      pizzaName: "",
      maVoucher: 0,
      price: 0,
      discount: 0,
      phaiThanhToan: 0
    };

    //B1: đọc dữ liệu.
    thuThapDuLieuDonHang(thongTinDonHangObj);
    //B2: Kiểm tra dữ liệu đầu vào.
    var vKetQuaKiemTra = validateDataInput(thongTinDonHangObj);
    if (vKetQuaKiemTra) {
      //B3: Xử lý hiển thị
      xuLyHienThiThoongTin(thongTinDonHangObj);
    }
  }

  //hàm xử lý click nút Gửi đơn hàng
  function onBtnGuiDonClick() {
   // kahi bao doi tuong
    var vObjectRequest = {
      kichCo: "",
      duongKinh: "",
      suon: "",
      salad: "",
      loaiPizza: "",
      idVourcher: "",
      idLoaiNuocUong: "",
      soLuongNuoc: "",
      hoTen: "",
      thanhTien: "",
      email: "",
      soDienThoai: "",
      diaChi: "",
      loiNhan: ""
    }
    //B1: đọc dữ liệu.
    thuThapDuLieuDonHang(vObjectRequest);
    //B2: Kiểm tra dữ liệu đầu vào.
    var vKetQuaKiemTra = validateDataInput(vObjectRequest);
    if (vKetQuaKiemTra) {
      //B3: GọiAPI
      callAPICreateNewOrder(vObjectRequest);
      hienThiDuLieuTrongConsole(vObjectRequest);
    }
  }

  //Hàm xử lý sự kiện tải trang
  function onPageLoading() {
    callAPIDinksSelect();
  }

  /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
  //function trả lại một đối tượng SizeCombo được tham số hóa
  function getComboSizePizza(paramCombo, paramDuongKinh, paramSuonNuong, paramSalad, paramNuocNgot, paramPrice) {
    var vDivOrderInfo = document.getElementById("div-order-infor");
    var vSelectCombo = {
      combo: paramCombo,
      duongkinh: paramDuongKinh,
      suonnuong: paramSuonNuong,
      salad: paramSalad,
      nuocngot: paramNuocNgot,
      price: paramPrice,

      ShowOrderInfo: function () {
        console.log("Combo được chọn là(số lượng): ");
        console.log(this.combo);
        console.log("Đường kính là: " + this.duongkinh);
        console.log("Sườn Nướng là: " + this.suonnuong);
        console.log("Salad là: " + this.salad);
        console.log("Nước ngọt là: " + this.nuocngot);
        console.log("Giá VND là: " + this.price);
      },

    }
    return vSelectCombo;
  }
  //function trả lại một đối tượng loại Pizza được tham số hóa
  function getPizzaType(paramPizzaType, paramTitle, paramDes) {
    var vSelectPizza = {
      pizzaName: paramPizzaType,
      gioithieu: paramTitle,
      mota: paramDes,

      showPizzaInfo: function () {
        console.log("Pizza được chọn là: " + this.pizzaName);
        console.log("giới thiệu: " + this.gioithieu);
        console.log("Mô tả: " + this.mota);
      }
    }
    return vSelectPizza;
  }
  //Hàm thay đổi màu nút chọn combo pizza
  function doiMauNutBamChonCombo(paramCombo) {
    var vSelectCombo = null;

    var vBtnSmallSize = document.getElementById("btn-size-small");
    var vBtnMediumSize = document.getElementById("btn-size-medium");
    var vBtnLargeSize = document.getElementById("btn-size-large");

    if (paramCombo === gSMALL_SIZE) {
      vBtnSmallSize.className = "btn-yellow";
      vBtnMediumSize.className = "btn-green";
      vBtnLargeSize.className = "btn-green";
      vSelectCombo = getComboSizePizza(gSMALL_SIZE, "20 cm", 2, "200 gr", 2, 150000);

      vBtnSmallSize.setAttribute("data-is-selected", "Y");
      vBtnMediumSize.setAttribute("data-is-selected", "N");
      vBtnLargeSize.setAttribute("data-is-selected", "N");
    }
    else if (paramCombo === gMEDIUM_SIZE) {
      vBtnMediumSize.className = "btn-yellow";
      vBtnSmallSize.className = "btn-green";
      vBtnLargeSize.className = "btn-green";
      vSelectCombo = getComboSizePizza(gMEDIUM_SIZE, "25 cm", 4, "300 gr", 3, 200000);

      vBtnMediumSize.setAttribute("data-is-selected", "Y");
      vBtnSmallSize.setAttribute("data-is-selected", "N");
      vBtnLargeSize.setAttribute("data-is-selected", "N");
    }
    else if (paramCombo === glARGE_sIZE) {
      vBtnLargeSize.className = "btn-yellow";
      vBtnMediumSize.className = "btn-green";
      vBtnSmallSize.className = "btn-green";
      vSelectCombo = getComboSizePizza(glARGE_sIZE, "30 cm", 8, "500 gr", 4, 250000);

      vBtnLargeSize.setAttribute("data-is-selected", "Y");
      vBtnMediumSize.setAttribute("data-is-selected", "N");
      vBtnSmallSize.setAttribute("data-is-selected", "N");
    }
    vSelectCombo.ShowOrderInfo();
  }
  //hàm thay đổi màu nút chọn loại Pizza
  function doiMauNutChonPizzaType(paramPizza) {
    var vSelectPizza = null;

    var vBtnPizzaHawai = document.getElementById("btn-type-hawai");
    var vBtnPizzaHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnPizzaBacon = document.getElementById("btn-type-bacon");

    if (paramPizza === gHAWAI_PIZZA) {
      vBtnPizzaHawai.className = "btn-yellow";
      vBtnPizzaHaiSan.className = "btn-green";
      vBtnPizzaBacon.className = "btn-green";
      vSelectPizza = getPizzaType(gHAWAI_PIZZA, "Món ăn thanh đạm", "Hãy thưởng thức món ăn với phong cách Alo Ha đến từ Hawai.");

      vBtnPizzaHawai.setAttribute("data-is-selected", "Y");
      vBtnPizzaHaiSan.setAttribute("data-is-selected", "N");
      vBtnPizzaBacon.setAttribute("data-is-selected", "N");
    }
    else if (paramPizza === gHAISAN_PIZZA) {
      vBtnPizzaHaiSan.className = "btn-yellow";
      vBtnPizzaHawai.className = "btn-green";
      vBtnPizzaBacon.className = "btn-green";
      vSelectPizza = getPizzaType(gHAISAN_PIZZA, "Món ăn đến từ biển", "Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?");

      vBtnPizzaHaiSan.setAttribute("data-is-selected", "Y");
      vBtnPizzaHawai.setAttribute("data-is-selected", "N");
      vBtnPizzaBacon.setAttribute("data-is-selected", "N");
    }
    else if (paramPizza === gBACON_PIZZA) {
      vBtnPizzaBacon.className = "btn-yellow";
      vBtnPizzaHaiSan.className = "btn-green";
      vBtnPizzaHawai.className = "btn-green";
      vSelectPizza = getPizzaType(gBACON_PIZZA, "Món ăn đăc biệt", "Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.");

      vBtnPizzaBacon.setAttribute("data-is-selected", "Y");
      vBtnPizzaHaiSan.setAttribute("data-is-selected", "N");
      vBtnPizzaHawai.setAttribute("data-is-selected", "N");
    }
    vSelectPizza.showPizzaInfo();
  };

  //hàm tính giá phải thanh toán có giảm theo voucher (nếu có)
  function priceAnnualVND(paramDiscount, paramCombmPrice) {
    var vAnnualPrice = 0;
    var vGiaDuocGiam = (paramCombmPrice * paramDiscount) / 100;
    if (paramDiscount != 0) {
      vAnnualPrice = paramCombmPrice - vGiaDuocGiam;
      return vAnnualPrice
    }
    else {
      vAnnualPrice = paramCombmPrice;
      return vAnnualPrice;
    }
  }
  // thập dữ liệụ
  function thuThapDuLieuDonHang(paramDonHangObj) {
    var vInputHoVaTen = document.getElementById("input-name");
    var vInputEmail = document.getElementById("input-email");
    var vInputDienThoai = document.getElementById("input-phone");
    var vInputDiaChi = document.getElementById("input-address");
    var vInputLoiNhan = document.getElementById("input-message");
    var vInputVoucher = document.getElementById("input-voucherID");
    var vLoaiNuongUong = document.getElementById("select-drink");

    paramDonHangObj.hoVaTen = vInputHoVaTen.value.trim();
    paramDonHangObj.email = vInputEmail.value.trim();
    paramDonHangObj.dienThoai = vInputDienThoai.value.trim();
    paramDonHangObj.diaChi = vInputDiaChi.value.trim();
    paramDonHangObj.loiNhan = vInputLoiNhan.value;
    paramDonHangObj.maVoucher = vInputVoucher.value.trim();
    paramDonHangObj.loaiNuoUong = vLoaiNuongUong.value;

    var vBtnSmallSize = document.getElementById("btn-size-small");
    var vBtnMediumSize = document.getElementById("btn-size-medium");
    var vBtnLargeSize = document.getElementById("btn-size-large");
    var vBtnPizzaHawai = document.getElementById("btn-type-hawai");
    var vBtnPizzaHaiSan = document.getElementById("btn-type-hai-san");
    var vBtnPizzaBacon = document.getElementById("btn-type-bacon");

    var vSizeSmallDuocChon = vBtnSmallSize.getAttribute("data-is-selected");
    var vSizeMediumDuocChon = vBtnMediumSize.getAttribute("data-is-selected");
    var vSizeLargeDuocChon = vBtnLargeSize.getAttribute("data-is-selected");
    var vPizzaHawaiDuocChon = vBtnPizzaHawai.getAttribute("data-is-selected");
    var vPizzaHaiSanDuocChon = vBtnPizzaHaiSan.getAttribute("data-is-selected");
    var vPizzaBaconDuocChon = vBtnPizzaBacon.getAttribute("data-is-selected");

    if (vSizeSmallDuocChon === "Y") {
      paramDonHangObj.menuDuocChon = getComboSizePizza(gSMALL_SIZE, "20 cm", "2", "200 gr", "2", "150000");
      paramDonHangObj.price = "150000";
    }
    else if (vSizeMediumDuocChon === "Y") {
      paramDonHangObj.menuDuocChon = getComboSizePizza(gMEDIUM_SIZE, "25 cm", "4", "300 gr", "3", "200000");
      paramDonHangObj.price = "200000";
    }
    else if (vSizeLargeDuocChon === "Y") {
      paramDonHangObj.menuDuocChon = getComboSizePizza(glARGE_sIZE, "30 cm", "8", "500 gr", "4", "250000");
      paramDonHangObj.price = "250000";
    }
    var vDiscount = onGetCheckVoucherClick(paramDonHangObj)
    paramDonHangObj.discount = vDiscount.toString();
    var vPhaiThanhToan = priceAnnualVND(vDiscount, Number(paramDonHangObj.price));
    paramDonHangObj.phaiThanhToan = vPhaiThanhToan.toString();


    if (vPizzaHaiSanDuocChon === "Y") {
      paramDonHangObj.loaiPizza = getPizzaType(gHAWAI_PIZZA, "Món ăn đến từ biển", "Bạn đã thử pizza được chế biến từ nguyên liệu hải sản chưa ?");
    }
    else if (vPizzaHawaiDuocChon === "Y") {
      paramDonHangObj.loaiPizza = getPizzaType(gHAISAN_PIZZA, "Món ăn thanh đạm", "Hãy thưởng thức món ăn với phong cách Alo Ha đến từ Hawai.");
    }
    else if (vPizzaBaconDuocChon === "Y") {
      paramDonHangObj.loaiPizza = getPizzaType(gBACON_PIZZA, "Món ăn đăc biệt", "Được chế biến từ thịt bacon. Mang đến hương vị mới lạ.");
    }
  }
  //Kiểm tra dữ liệu nhập vào
  function validateDataInput(paramDonHangObj) {
    if (paramDonHangObj.menuDuocChon == null) {
      alert("Phải chọn Size pizza!!!");
      return false;
    }
    if (paramDonHangObj.loaiPizza == null) {
      alert("Phải chọn Loại pizza!!!");
      return false;
    }
    if (paramDonHangObj.loaiNuoUong == "NOT_SELECT_DRINK") {
      alert("Phải chọn Nước uống");
      return false;
    }
    if (paramDonHangObj.hoVaTen == "") {
      alert("Phải nhập vào họ và tên");
      return false;
    }
    if (paramDonHangObj.email == "") {
      alert("Phải nhập vào email");
      return false;
    }
    if (validateEmail(paramDonHangObj.email) != true) {
      alert("Email nhập vào phải đúng định dạng");
      return false;
    }
    if (isNaN(paramDonHangObj.dienThoai)) {
      alert("Số điện thoại phải là số");
      return false;
    }
    if (validatePhoneNumber(paramDonHangObj.dienThoai) != true) {
      alert("Số điện thoại không đúng");
      return false;
    }
    if (paramDonHangObj.diaChi == "") {
      alert("Phải nhập vào địa chỉ");
      return false;
    }
    return true;
  }
  //Xử lý hiển thị 
  function xuLyHienThiThoongTin(paramDonHangObj) {
    var vDivContainer = document.getElementById("div-container-order");
    var vDivOrderInfo = document.getElementById("div-order-infor");
    vDivContainer.style.display = "block";

    var vInputHoVaTen = document.getElementById("input-name");
    var vInputEmail = document.getElementById("input-email");
    var vInputDienThoai = document.getElementById("input-phone");
    var vInputDiaChi = document.getElementById("input-address");
    var vInputLoiNhan = document.getElementById("input-message");
    var vInputVoucher = document.getElementById("input-voucherID");
    var vLoaiNuocUong = document.getElementById("select-drink");

    vDivOrderInfo.innerHTML = "Họ và tên: " + vInputHoVaTen.value.trim() + "</br>";
    vDivOrderInfo.innerHTML += "Email: " + vInputEmail.value.trim() + "</br>";
    vDivOrderInfo.innerHTML += "Số diện Thoại: " + vInputDienThoai.value.trim() + "</br>";
    vDivOrderInfo.innerHTML += "Địa Chỉ: " + vInputDiaChi.value.trim() + "</br>";
    vDivOrderInfo.innerHTML += "Lời Nhắn: " + vInputLoiNhan.value.trim() + "</br>" + "<hr>";
    vDivOrderInfo.innerHTML += "Kích cỡ: " + paramDonHangObj.menuDuocChon.combo + "</br>";
    vDivOrderInfo.innerHTML += "Đường kính: " + paramDonHangObj.menuDuocChon.duongkinh + "</br>";
    vDivOrderInfo.innerHTML += "Sườn Nướng: " + paramDonHangObj.menuDuocChon.suonnuong + "</br>";
    vDivOrderInfo.innerHTML += "Salad: " + paramDonHangObj.menuDuocChon.salad + "</br>";
    vDivOrderInfo.innerHTML += "Loại đồ uống: " + vLoaiNuocUong.value + "</br>";
    vDivOrderInfo.innerHTML += "Nước ngọt: " + paramDonHangObj.menuDuocChon.nuocngot + "</br>" + "<hr>";
    vDivOrderInfo.innerHTML += "Loại pizza: " + paramDonHangObj.loaiPizza.pizzaName + "</br>";
    vDivOrderInfo.innerHTML += "Mã Voucher: " + paramDonHangObj.maVoucher + "</br>";
    vDivOrderInfo.innerHTML += "Giá vnđ: " + paramDonHangObj.price + "</br>";
    vDivOrderInfo.innerHTML += "Discount%: " + paramDonHangObj.discount + "</br>";
    vDivOrderInfo.innerHTML += "Phải thanh toán: " + paramDonHangObj.phaiThanhToan;
  }
  //hiển thị dữ liệu trong console
  function hienThiDuLieuTrongConsole(paramDonHangObj) {
    var vInputHoVaTen = document.getElementById("input-name");
    var vInputEmail = document.getElementById("input-email");
    var vInputDienThoai = document.getElementById("input-phone");
    var vInputDiaChi = document.getElementById("input-address");
    var vInputLoiNhan = document.getElementById("input-message");
    var vInputVoucher = document.getElementById("input-voucherID");
    var vLoaiNuocUong = document.getElementById("select-drink");
    var vPhanTramGiamGia = onGetCheckVoucherClick(paramDonHangObj);

    console.log("Họ và tên: " + vInputHoVaTen.value);
    console.log("Email: " + vInputEmail.value);
    console.log("Số diện Thoại: " + vInputDienThoai.value);
    console.log("Địa Chỉ: " + vInputDiaChi.value);
    console.log("Lời Nhắn: " + vInputLoiNhan.value);
    console.log("Kích cỡ: " + paramDonHangObj.menuDuocChon.combo);
    console.log("Đường kính: " + paramDonHangObj.menuDuocChon.duongkinh);
    console.log("Sườn Nướng: " + paramDonHangObj.menuDuocChon.suonnuong);
    console.log("Salad: " + paramDonHangObj.menuDuocChon.salad);
    console.log("Loại đồ uống: " + vLoaiNuocUong.value);
    console.log("Nước ngọt: " + paramDonHangObj.menuDuocChon.nuocngot);
    console.log("Loại pizza: " + paramDonHangObj.loaiPizza.pizzaName);
    console.log("Mã Voucher: " + paramDonHangObj.maVoucher);
    console.log("Giá vnđ: " + paramDonHangObj.price);
    console.log("Discount%: " + paramDonHangObj.discount);
    console.log("Phải thanh toán: " + paramDonHangObj.phaiThanhToan);
  }
  //hàm kiểm tra Email
  function validateEmail(paramEmails) {
    var isValid = false;
    var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (regex.test(paramEmails)) {
      isValid = true;
    }
    return isValid;
  }
  //Hàm Kiểm tra Sđt
  function validatePhoneNumber(paramPhoneNumber) {
    var isValid = false;
    var regex = /((09|03|07|08|05)+([0-9]{8})\b)/g;
    if (regex.test(paramPhoneNumber)) {
      isValid = true;
    }
    return isValid;
  }

  //hàm gọi api tải lên danh sách đồ uống
  function callAPIDinksSelect() {
    "use strict";
    var vXhttp = new XMLHttpRequest();
    vXhttp.open("GET", vBASE_URL_DRINK, true);
    vXhttp.send();
    vXhttp.onreadystatechange = function () {
      if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
        //console.log(vXhttp.responseText); //ghi response text ra console.log
        taiDanhSachVaoSelect(vXhttp)
        //console.log(vXhttp.responseText);
      }
    };
  }

  //hàm tải danh sách đồ uống vào select
  function taiDanhSachVaoSelect(paramXmlHttp) {
    var vDinkObj = JSON.parse(paramXmlHttp.responseText);
    var vSelectDinks = document.getElementById("select-drink");

    for (var i = 0; i < vDinkObj.length; i++) {
      var vDinkopt = document.createElement("option");
      vDinkopt.value = vDinkObj[i].maNuocUong;
      vDinkopt.text = vDinkObj[i].tenNuocUong;
      vSelectDinks.appendChild(vDinkopt);
    }
  }

  //hàm check mã giảm giá 
  function onGetCheckVoucherClick(paramDonHangObj) {
    "use strict";
    var vXmlHttp = new XMLHttpRequest();
    vXmlHttp.open("GET", vBASE_URL_VOUCHER + paramDonHangObj.maVoucher, false);
    vXmlHttp.send();
    if (vXmlHttp.status == gREQUEST_STATUS_OK) { // restFullAPI successful
      // nhận lại response dạng JSON ở vXmlHttp.responseText và chuyển thành object
      console.log(vXmlHttp.responseText);
      var vOrder = JSON.parse(vXmlHttp.responseText);
      return vOrder.phanTramGiamGia;
    }
    else {
      // không nhận lại được data do vấn đề gì đó: khả năng mã voucher ko dúng
      console.log("Không tìm thấy voucher " + vXmlHttp.responseText);
    }
  }

  //API thêm mới đơn hàng
  function callAPICreateNewOrder(paramDonHangObj) {
    var vOrderJSON = JSON.stringify(paramDonHangObj);
    var vXmlHttpCreateOrder = new XMLHttpRequest();
    vXmlHttpCreateOrder.open("POST", vBASE_URL_ORDER, true);
    vXmlHttpCreateOrder.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
    vXmlHttpCreateOrder.send(vOrderJSON);
    vXmlHttpCreateOrder.onreadystatechange =
      function () {
        if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_CREATE_SUCCESS) { // status 201 tao thanh cong
          //B4: Xử lý hiển thị
          var vCreatedOrder = vXmlHttpCreateOrder.responseText;
          var vNewOrder = JSON.parse(vCreatedOrder)
          console.log(vNewOrder);
          hienThiMaDonHang(vXmlHttpCreateOrder);
        }
      }
  }

  //Xử lý hiển thị sau khi tạo đơn thành công
  function hienThiMaDonHang(paramXmlHttp) {
    var vOrder = JSON.parse(paramXmlHttp.responseText);
    console.log(vOrder);

    var vDivContainer = document.getElementById("div-container-order");
    vDivContainer.style.display = "none";

    var vDivSubmitOrder = document.getElementById("div-SubmitOrder");
    vDivSubmitOrder.style.display = "block";

    var vMaDonHang = document.getElementById("Ma-don-hang");
    vMaDonHang.innerHTML = Order.orderCode.value;
  }

</script>

</html>